Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class OnAlarm

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.OnAlarm

    public class OnAlarm

extends BpelObject

Representation of alarm-based event handlers.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`OnAlarm(org.w3c.dom.Element el)`

Method Summary
`Activity` | `getActivity()` The activity associated with the alarm.
`Expression` | `getFor()` Get the duration of the alarm.
`Expression` | `getRepeatEvery()` Get the repeatEvery (optional)
`Expression` | `getUntil()` Get the deadline when the alarm goes out of effect.

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OnAlarm

    public OnAlarm(org.w3c.dom.Element el)

Method Detail

### getActivity

    public Activity getActivity()

  The activity associated with the alarm.

  Returns:
    activity associated with alarm

### getFor

    public Expression getFor()

  Get the duration of the alarm.

  Returns:
    duration of the alarm

### getUntil

    public Expression getUntil()

  Get the deadline when the alarm goes out of effect.

  Returns:
    deadline when alarm goes out of effect

### getRepeatEvery

    public Expression getRepeatEvery()

  Get the repeatEvery (optional)

  Returns:
    the duration expression that specifies the frequency

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD